sxpipe  = @datadir@
bindir = @bindir@
alexinadir = @alexinadir@
alexinatoolsdir = alexinatoolsdir@

# Component list
components = \
	force_utf8 \
	tag_meta \
	entities \
	email \
        url \
	date \
	heure \
	adresse \
	currency \
	dimensions \
	jurid \
	remove_inner_1 \
	\
	segment \
	rebuild \
	normalize \
	recode-init_2 \
	text2dag \
	recode-final_2 \
	cleaner \
	epsilonize

[force_utf8]
cmd = $alexinatoolsdir/yarecode -l $lang $* -u | $alexinatoolsdir/yadecode -l $lang $* -u | iconv -f UTF-8 -t UTF-16 -c | iconv -f UTF-16 -t UTF-8 -c

[tag_meta]
cmd = $sxpipe/txt2tok/tag_meta.pl
options = -l $lang $*
desc = protection des meta-caractères

[entities]
cmd = $sxpipe/txt2tok/gl_entities.pl
desc = reconnaissance des entites

[email]
cmd = $sxpipe/txt2tok/gl_email.pl
options = -l $lang $*
desc = reconnaissance des emails

[url]
cmd = $sxpipe/txt2tok/gl_url.pl
options = -l $lang $*
desc = reconnaissance des url
depend = email

[date]
cmd = $sxpipe/txt2tok/gl_date.pl
options = -l $lang $*
desc = reconnaissance des dates

[heure]
cmd = $sxpipe/txt2tok/gl_heure.pl
options = -l $lang $*
desc = reconnaissance des heures

[adresse]
cmd = $sxpipe/txt2tok/gl_adresses.pl
options = -l $lang $*
desc = reconnaissance des adresses

[currency]
cmd = $sxpipe/txt2tok/gl_currency.pl
options = -l $lang $*
desc = reconnaissance des adresses

[dimensions]
cmd = $sxpipe/txt2tok/gl_dimensions.pl
desc = reconnaissance des adresses

[jurid]
cmd = $sxpipe/txt2tok/gl_jurid.pl
options = -l $lang -no_sw $*
desc = reconnaissance des adresses

[caponly]
cmd = $sxpipe/txt2tok/caponlysentences.pl
options = -l $lang
desc = minusculisation des phrases (presque) entièrement en majuscules

[segment]
cmd = $sxpipe/txt2tok/segmenteur.pl
options = -af=$alexinadir/$lang/pctabr -r $* -l $lang -alexinadir $alexinadir
desc = segmentation

[remove_inner_1]
cmd = $sxpipe/tok2cc/remove_inner_ne.pl
desc = desencapsulation des entitées nommées

[rebuild]
cmd = $sxpipe/tok2cc/rebuild_easy_tags.pl -l $lang

[normalize]
cmd = $sxpipe/tok2cc/normalize_blanks.pl | perl -CS -pe "s/(\S+ss)[éè](-je)/\1s\2/g; s/(\S+)[éè](-je)/\1e\2/g"
desc = normalisation des espaces et de pourcentages

# compound components to DAG
[text2dag]
cmd = $bindir/text2dag-$lang
options = -cl -pl -cq -ch -pp -ps -slw 20 -lw 40 -sc -mw 300 -sww 140 -mcn 1 -mcwn 1 -g
desc = correction ambiguë et reconnaissance ambiguë des mots composés, amalgames, et combinaisons thereof

[cleaner]
cmd = $sxpipe/comments_cleaner.pl

[epsilonize]
cmd = $sxpipe/epsilonize_metawords.pl | perl -pe "s/ _SPECWORD_/ /"
desc = met en alternative avec _EPSILON les métamots (quotes, crochets...)

[recode-init_2]
cmd = $alexinatoolsdir/yarecode
options = -l $lang -u

[recode-final_2]
cmd = $alexinatoolsdir/yadecode -l $lang -u

[tokenizer_postprocessing]
cmd = perl -pe "s/_(UNSPLIT|REGLUE)_//g; s/(?:{.*?} *)?_SENT_BOUND/\n/g; s/_underscore/_/gi; s/_acc_o/{/gi; s/_acc_f/}/gi; s/&gt;/>/g; s/&lt;/</g; s/([\(\|\)\[\]\?\+])/\\\\\1/g;" | perl -pe "s/  +/ /g; s/^ //; s/ $//;"
#cmd = perl -pe "s/_(UNSPLIT|REGLUE)_//g; s/(?:{.*?} *)?_SENT_BOUND/\n/g; s/{(.*?)} *([^ \n]+)/\1/g; s/_underscore/_/gi; s/_acc_o/{/gi; s/_acc_f/}/gi; s/&gt;/>/g; s/&lt;/</g;" | perl -pe "s/  +/ /g; s/^ //; s/ $//;"
